import React from 'react';

interface FCProps {
    children: React.ReactNode | React.ReactNode[] | any;
}
interface BroadSenseFC {
    (props: FCProps | any): JSX.Element;
}
/**
 * @example
 * const Wrapper = useWrapper(
 *   MutDrawerProvider,
 *   MutModalProvider,
 *   [AccessTokenProvider, {getTokenFn: _AuthTools.getToken}],
 *   UmiRouterProvider
 * )
 * return (
 *   <Wrapper>{children}</Wrapper>
 * )
 * @param args
 * @returns
 */
declare const useProviderWrapper: (...args: Array<[BroadSenseFC, Record<string, any>] | BroadSenseFC>) => (wraperProps: FCProps) => JSX.Element;

export { useProviderWrapper as useWrapper };
